%define prerel 0
%define date 20130523

%define qtmajor 5
%define qtminor 4
%define qtsubminor 0

%define rel 1

%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtimageformats_d %mklibname qt5imageformats -d

%if %prerel 
%define qttarballdir qtimageformats-opensource-src-%{qtversion}-RC
%else
%define qttarballdir qtimageformats-opensource-src-%{qtversion}
%endif

Name: qtimageformats5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt-project.org
Source0: http://download.qt-project.org/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel = %{version}
# TRACK: https://bugreports.qt-project.org/browse/QTBUG-33116
#BuildRequires: libmng-devel
BuildRequires: libtiff-devel

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

%files
%_qt5_plugindir/imageformats/*.so

#------------------------------------------------------------------------------
%package -n %{libqtimageformats_d}
Summary: Devel files needed to build apps based on QtImageFormats
Group:    Development/KDE and Qt
Requires: %{name} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libqtimageformats_d}
Devel files needed to build apps based on QtImageFormats.

%files -n %{libqtimageformats_d}
%{_qt5_libdir}/cmake/Qt5Gui/Qt5Gui_QMngPlugin.cmake
%{_qt5_libdir}/cmake/Qt5Gui/Qt5Gui_QTgaPlugin.cmake
%{_qt5_libdir}/cmake/Qt5Gui/Qt5Gui_QTiffPlugin.cmake
%{_qt5_libdir}/cmake/Qt5Gui/Qt5Gui_QWbmpPlugin.cmake
%{_qt5_libdir}/cmake/Qt5Gui/Qt5Gui_QDDSPlugin.cmake
%{_qt5_libdir}/cmake/Qt5Gui/Qt5Gui_QICNSPlugin.cmake
%{_qt5_libdir}/cmake/Qt5Gui/Qt5Gui_QJp2Plugin.cmake
%{_qt5_libdir}/cmake/Qt5Gui/Qt5Gui_QWebpPlugin.cmake

#------------------------------------------------------------------------------


%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5

#------------------------------------------------------------------------------
%make

%install
%qmakeinstall_std



%changelog
* Fri Dec 12 2014 neoclust <neoclust> 5.4.0-1.mga5
+ Revision: 802758
- New version 5.4.0

* Sun Dec 07 2014 neoclust <neoclust> 5.3.2-1.mga5
+ Revision: 801801
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-3.mga5
+ Revision: 744577
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 umeabot <umeabot> 5.3.1-2.mga5
+ Revision: 738091
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 639781
- 5.3.1

* Tue May 20 2014 fwang <fwang> 5.3.0-1.mga5
+ Revision: 624085
- 5.3.0 final

* Fri May 09 2014 fwang <fwang> 5.3.0-0.rc.1.mga5
+ Revision: 621454
- 5.3 rc

* Sun Apr 06 2014 fwang <fwang> 5.3.0-0.beta.1.mga5
+ Revision: 612307
- 5.3.0beta

* Mon Mar 03 2014 neoclust <neoclust> 5.3.0-0.alpha.1.mga5
+ Revision: 598806
- New version 5.3.0-alpha

* Sun Feb 09 2014 fwang <fwang> 5.2.1-2.mga5
+ Revision: 586982
- hard force versioned requires

* Thu Feb 06 2014 fwang <fwang> 5.2.1-1.mga5
+ Revision: 584261
- 5.2.1

* Sat Dec 14 2013 fwang <fwang> 5.2.0-2.mga4
+ Revision: 556722
- upload tarball
- 5.2.0 final

* Sun Dec 01 2013 fwang <fwang> 5.2.0-1.rc1.2.mga4
+ Revision: 554399
- 5.2.0 rc1

* Sat Oct 26 2013 fwang <fwang> 5.2.0-1.beta1.2.mga4
+ Revision: 547076
- 5.2.0 beta1

* Mon Oct 21 2013 umeabot <umeabot> 5.2.0-1.alpha.2.mga4
+ Revision: 538973
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 5.2.0-1.alpha.1.mga4
+ Revision: 491177
- add devel files
- bump rel
- 5.2.0 alpha1

* Tue Aug 27 2013 luigiwalser <luigiwalser> 5.2.0-0.0.20130523.3.mga4
+ Revision: 472406
- rebuild for libmng

* Mon May 27 2013 neoclust <neoclust> 5.2.0-0.0.20130523.2.mga4
+ Revision: 428819
- Rebuild against new qt5 libs location

* Sun May 26 2013 neoclust <neoclust> 5.2.0-0.0.20130523.1.mga4
+ Revision: 427983
- New QT 5.2 Snapshot
- New QT 5.2 Snapshot

* Wed Apr 17 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410373
- New version 5.0.2

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 394021
- New version 5.0.1 Final

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392325
- New version 5.0.1 rc1

* Fri Jan 25 2013 neoclust <neoclust> 5.0.0-1.mga3
+ Revision: 392278
- imported package qtimageformats5

